-- [F/A] derelky

baleIdManagerGuiloader = {}

local modDirectory = g_currentModDirectory

function baleIdManagerGuiloader:loadGUI()
	local noguilua = false
	local guiPath = modDirectory .."scripts/gui/"
    if g_gui ~= nil and g_gui.guis.baleIdManagerGui == nil then
        local luaPath = guiPath .. "baleIdManagerGui.lua"
        if fileExists(luaPath) then
            source(luaPath)
        else
            noguilua = true
            print("baleIdManager GUI Lua could not be loaded" )
        end
	
        if not noguilua then
            local xmlPath = guiPath .. "baleIdManagerGui.xml"
            if fileExists(xmlPath) then
                local baleIdManagerGui = baleIdManagerGui:new(nil, nil)
                g_gui:loadGui(xmlPath, "baleIdManagerGui", baleIdManagerGui)
            else
            print("baleIdManager GUI XML could not be loaded" )
            end
        end
    end
end

baleIdManagerGuiloader.loadGUI()